Name:           cockpit-image-builder
Version:        64
Release:        1.20250402144312681417.pr3066.8.g2481ba41%{?dist}
Summary:        Image builder plugin for Cockpit

License:        Apache-2.0
URL:            http://osbuild.org/
Source0:        cockpit-image-builder-65.tar.gz

Obsoletes:      cockpit-composer < 54
Provides:       cockpit-composer = %{version}-%{release}

BuildArch:      noarch
BuildRequires:  gettext
BuildRequires:  libappstream-glib
BuildRequires:  make
BuildRequires:  nodejs

Requires:       cockpit
Requires:       cockpit-files
Requires:       osbuild-composer >= 131

%description
The image-builder-frontend generates custom images suitable for
deploying systems or uploading to the cloud. It integrates into Cockpit
as a frontend for osbuild.

%prep
%setup -q -n cockpit-image-builder

%build
# Nothing to build

%install
%make_install PREFIX=/usr
# drop source maps, they are large and just for debugging
find %{buildroot}%{_datadir}/cockpit/ -name '*.map' | xargs --no-run-if-empty rm --verbose

%check
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*

%files
%doc cockpit/README.md
%license LICENSE
%{_datadir}/cockpit/cockpit-image-builder
%{_datadir}/metainfo/*

%changelog
# the changelog is distribution-specific, therefore there's just one entry
# to make rpmlint happy.

* Wed Apr 2 2025 Packit <hello@packit.dev> - 64-1.20250402144312681417.pr3066.8.g2481ba41
- Wizard: make optional steps clickable on prem (Katarina Sieklova)
- Wizard: Fix OpenSCAP select width (regexowl)
- Wizard: Update microcopy on Locale step (HMS-5656) (regexowl)
- Wizard: `for ... in` loop to `for ... of` loop (regexowl)
- test: Update tests (regexowl)
- Wizard: Replace deprecated select in OpenSCAP step (regexowl)
- Wizard: Move stuff around, split into more components (regexowl)
- Post release version bump (schutzbot)

* Mon Jan 13 2025 Image Builder team <osbuilders@redhat.com> - 0-1
- The changelog was added to the rpm spec file.
